Script name:

# Script Editor Options

Editor
Theme
Key Binding
Highlight Active Line
Show Invisibles
Use Soft Tab
Key Buffer:

$

This page displays a list of all of your scripts that are currently running across every machine. It also provides information about each script's production. The scripts are categorized by the hostname of the servers on which they are running.

Total online production of Active scripts: $0.000 / sec
Total online production since last Aug installation: $0.000 ($0.000 / sec)

This page displays any programs that you are able to create. Writing the code for a program takes time, which can vary based on how complex the program is. If you are working on creating a program you can cancel at any time. Your progress will be saved and you can continue later.

# Tutorial (AKA Links to Documentation)

Getting Started
Servers & Networking
Hacking
Scripts
Netscript Programming Language
Traveling
Companies
Infiltration
Factions
Augmentations
Keyboard Shortcuts

Would you like to join?
Warning: Joining this faction may prevent you from joining other factions during this run!

# Game Options

Netscript exec time: The minimum number of milliseconds it takes to execute an operation in Netscript. Setting this too low can result in poor performance if you have many scripts running. The default value is 25ms.
Netscript log size: The maximum number of lines a script's logs can hold. Setting this too high can cause the game to use a lot of memory if you have many scripts running. The default value is 50.
Netscript port size: The maximum number of entries that can be written to a port using Netscript's write() function. Setting this too high can cause the game to use a lot of memory. The default value is 50.
Autosave Interval: The time (in seconds) between each autosave. Set to 0 to disable autosave.
Suppress Messages: If this is set, then any messages you receive will not appear as popups on the screen. They will still get sent to your home computer as '.msg' files and can be viewed with the 'cat' Terminal command.
Suppress Faction Invites: If this is set, then any faction invites you receive will not appear as popups on the screen. Your outstanding faction invites can be viewed in the 'Factions' page.
Suppress Travel Confirmation: If this is set, the confirmation message before traveling will not show up. You will automatically be deducted the travel cost as soon as you click.
Suppress buy augmentation confirmation: If this is set, the confirmation message before buying augmentation will not show up.
Suppress Hospitalization popup: If this is set, a popup message will no longer be shown when you are hospitalized after taking too much damage.
Suppress Bladeburner Popup: If this is set, then having your Bladeburner actions interrupted by being busy with something else will not display a popup message.
Disable Hotkeys: If this is set, then most hotkeys (keyboard shortcuts) in the game are disabled. This includes Terminal commands, hotkeys to navigate between different parts of the game, and the "Save and Close (Ctrl + b)" hotkey in the Text Editor.
Disable ASCII art: If this is set all ASCII art will be disabled.
Disable Text Effects: If this is set, text effects will not be displayed. This can help if text is difficult to read in certain areas.
Locale: Sets the locale for displaying numbers. Defaults to 'en'
Changelog Documentation Discord Subreddit
Loading Bitburner...

If the game fails to load, consider killing all scripts

Click on this to upgrade your Source-File -1!